function parametros




persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end




settingsBlock = [bdroot '/Subsystem1'];
[Rb] = getSettings(settingsBlock,'Rb');
[M_ary] = getSettings(settingsBlock,'M_ary');
[variancia] = getSettings(settingsBlock,'variancia');


p.M_ary = M_ary;
p.Rb = Rb;
p.variancia = variancia;

 
%Assign variables to base workspace
 assignin('base','p',p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end